import flaschengeist.modules as modules
from flask import current_app as app

class AuthPlain(modules.Auth):
    def configure(self, config):
        app.config.update(
            'LDAP_SERVER' = config['URL'],
            'LDAP_PORT' = config['PORT'],
            'LDAP_BINDDN'  = config['BINDDN'],
            'LDAP_SECRET'  = config['SECRET']
            'LDAP_USE_SSL' = config['USE_SSL'],
            'LDAP_TLS_VERSION' = ssl.PROTOCOL_TLSv1_2,
            'LDAP_REQUIRE_CERT' = ssl.CERT_NONE,
            'FORCE_ATTRIBUTE_VALUE_AS_LIST' = True
        )

    def login(self, user, password):
        if not user:
            return False
        return False
